package com.example.musicbynumbers;

import android.content.DialogInterface;
import android.os.Bundle;
import android.support.v7.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;
import android.text.method.ScrollingMovementMethod;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;

import java.util.ArrayList;

public class database_list extends AppCompatActivity {
    DatabaseHelper myDB;
    EditText songName, genre, duration;
    TextView textView;

    @Override
    protected void onCreate(Bundle savedInstanceState){
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_database_helper);
        myDB = new DatabaseHelper(this);

        songName = (EditText) findViewById(R.id.txtSongName);
        textView = (TextView) findViewById(R.id.textView);

        textView.setMovementMethod(new ScrollingMovementMethod());



    }

    public void btn_click(View view) {
        switch(view.getId()){
            case R.id.btn_delete:
                myDB.deleteSong(songName.getText().toString());
                break;
            case R.id.btn_update:
                AlertDialog.Builder dialog = new AlertDialog.Builder(database_list.this);

                dialog.setTitle("Enter New Song Name: ");

                final EditText new_songName = new EditText(this);

                dialog.setPositiveButton("OK", new DialogInterface.OnClickListener() {
                    @Override
                    public void onClick(DialogInterface dialog, int i) {
                        myDB.updateSong(songName.getText().toString(), new_songName.getText().toString());
                    }
                });
                break;
            case R.id.btn_list:
                myDB.listPlaylist(textView);
                break;
        }
    }
}
